package com.ejie.ab78.service.terceros;

import java.util.List;

import com.ejie.ab78.model.terceros.TiposTercero;
import com.ejie.x38.dto.TableRequestDto;
import com.ejie.x38.dto.TableResponseDto;

/**
 * TiposTerceroService  
 * 
 *  
 */

public interface TiposTerceroService {


	TiposTercero add(TiposTercero tiposTercero);

	TiposTercero update(TiposTercero tiposTercero);

	TiposTercero find(TiposTercero tiposTercero);

	void remove(TiposTercero tiposTercero);

	List<TiposTercero> findAll(TiposTercero tiposTercero, TableRequestDto TableRequestDto);

	List<TiposTercero> findAllLike(TiposTercero tiposTercero, TableRequestDto TableRequestDto, Boolean startsWith);

	TableResponseDto<TiposTercero> filter(TiposTercero filterTiposTercero, TableRequestDto TableRequestDto,
			Boolean startsWith);

	List<TiposTercero> getSubtiposAll(TiposTercero tiposTercero);
}
